summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-12 17:42:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:42:01 +0200
commite27b4bfd3ca919a168a92eb58f14779ebf4dafa2 (patch)
treec4f1eef50715aa392cacf839476ccd317afd9a85 /libraries
parent9bc8da52fbafc15ae1d1fcd6d957f45986a71b9c (diff)
downloadslackbuilds-e27b4bfd3ca919a168a92eb58f14779ebf4dafa2.tar.gz
slackbuilds-e27b4bfd3ca919a168a92eb58f14779ebf4dafa2.tar.xz
libraries/perl-xml-libxml: Updated for version 1.64
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-xml-libxml/perl-xml-libxml.SlackBuild33
1 files changed, 20 insertions, 13 deletions
diff --git a/libraries/perl-xml-libxml/perl-xml-libxml.SlackBuild b/libraries/perl-xml-libxml/perl-xml-libxml.SlackBuild
index 06598ae8b0..68ab54c208 100644
--- a/libraries/perl-xml-libxml/perl-xml-libxml.SlackBuild
+++ b/libraries/perl-xml-libxml/perl-xml-libxml.SlackBuild
@@ -8,7 +8,7 @@ PRGNAM=perl-xml-libxml
SRCNAM=XML-LibXML
VERSION=1.64
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -16,24 +16,31 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="Changes README LICENSE"
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $SRCNAM-$VERSION
-tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
-cd $SRCNAM-$VERSION || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-perl Makefile.PL || exit 1
-make || exit 1
-#make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
-PERL5LIB+=$PKG/usr/lib/perl5/site_perl/5.8.8/ make install DESTDIR=$PKG || exit 1
-
-mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
-gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+perl Makefile.PL
+make \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3 \
+ install_vendor \
+ DESTDIR=$PKG
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
# Remove perlocal.pod and .packlist from $PKG
( for i in perllocal.pod .packlist; do
@@ -45,7 +52,7 @@ gzip -9 $PKG/usr/man/man3/* 2> /dev/null
find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*